{------------------------------------------------------------------------------}
{   MCM Design                                                                 }
{   Marc Christopher Martin                                                    }
{   Australiensvej 34                                                          }
{   2100 Copenhagen OE                                                         }
{   Denmark                                                                    }
{                                                                              }
{   e-mail support@mcm-design.dk                                               }
{                                                                              }
{------------------------------------------------------------------------------}

unit Childwin;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, ExtCtrls;

type
  TMDIChild = class(TForm)
    procedure FormClose (    Sender : TObject;
                         var Action : TCloseAction);
    procedure FormPaint (    Sender : TObject);
    procedure FormCreate(    Sender : TObject);
    procedure FormResize(    Sender : TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Bitmap : TBitmap;
  end;

implementation

{$R *.DFM}

procedure TMDIChild.FormCreate(Sender : TObject);
begin
  Bitmap := TBitmap.Create;
end; { End TMDIChild.FormCreate.                                               }


procedure TMDIChild.FormClose(    Sender : TObject;
                              var Action : TCloseAction);
begin
  Bitmap.Free;
  Action := caFree;
end; { End TMDIChild.FormClose.                                                }


procedure TMDIChild.FormPaint(Sender : TObject);
var a, b : longint;
begin
  a := - HorzScrollBar.Position;
  b := - VertScrollBar.Position;
  if Not(Bitmap.Empty)
  then Canvas.Draw(a, b, Bitmap);
end; { End TMDIChild.FormPaint.                                                }


procedure TMDIChild.FormResize(Sender : TObject);
begin
  if Not(Bitmap.Empty)
  then begin
       HorzScrollBar.Range := Bitmap.Width;
       VertScrollBar.Range := Bitmap.Height;
  end;
end; { End TMDIChild.FormResize.                                               }


end. { End Unit ChildWin.                                                      }
