{------------------------------------------------------------------------------}
{                                                                              }
{                                                                              }
{ File:         captest.c                                                      }
{ RCS:          $Header: $                                                     }
{ Description:  Capability negotiation for Twacker                             }
{ Author:       TWAIN Working Group                                            }
{ Created:      Feb 5,92                                                       }
{ Modified:     "                                                              }
{ Language:     C                                                              }
{ Package:      N/A                                                            }
{ Status:       Test tool                                                      }
{                                                                              }
{ (c) Copyright 1992, Hewlett-Packard Company, all rights reserved.            }
{                                                                              }
{                                                                              }
{ This source code was converted from C to Delphi/Turbo Pascal for Windoes by  }
{                                                                              }
{   MCM Design                                                                 }
{   Marc Christopher Martin                                                    }
{   Australiensvej 34                                                          }
{   2100 Copenhagen OE                                                         }
{   Denmark                                                                    }
{                                                                              }
{   e-mail support@mcm-design.dk                                               }
{                                                                              }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{$A+} { Align data Byte = $A-, Word = $A+.                                     }
{$F+} { Force FAR call.                                                        }
{$G+} { Generate 80286 code.                                                   }
{$N-} { CoProcessor code generation.                                           }
{$R-} { Range check.                                                           }
{$W-} { Protected mode only $W-, Real mode stack frame support $W+.            }
{$X+} { Extended syntax (When on, function can be used as procedures).         }
{------------------------------------------------------------------------------}

Unit twa_spcl;

interface

Uses Twain;

function MatchTwainInt(pName    : PChar;
                       ID       : TW_INT32;
                       pString  : PChar;
                       MaxCount : TW_INT16) : TW_INT16;

var IniFile : TW_STR255;

implementation

uses WinTypes, WinProcs;

{------------------------------------------------------------------------------}
{ MatchTwainInt -                                                              }
{------------------------------------------------------------------------------}

function MatchTwainInt(pName    : PChar;
                       ID       : TW_INT32;
                       pString  : PChar;
                       MaxCount : TW_INT16) : TW_INT16;
var hField : THandle;
    pField : PChar;
  {$IFDEF VER70}
    Result : TW_INT16;
  {$ENDIF}
    number : TW_INT16;
    i      : longint;
begin
  Result := 0;
  hField := GlobalAlloc(GHND, 2048);
  if (hField <> 0)
  then begin
       pField := GlobalLock(hField);
       if (GetPrivateProfileString(pName, Nil, '', pField, 2048, IniFile) > 0)
       then begin
            { for (; *pField; pField+=lstrlen(pField)+1) }
            for i := 0 to (lstrlen(pField) + 1)
            do begin
               number := GetPrivateProfileInt(pName, pField, -1, IniFile);
               if (number = Id)
               then begin
{                    if (lstrlen(pfield) > MaxCount) *(pfield+MaxCount-1) = 0; }
                    if (lstrlen(pField) > MaxCount)
                    then pField[MaxCount-1] := #0;
                    lstrcpy(pString, pField);
                    Result := 1;
                    Break;
                end;
            end;
       end;
       GlobalUnlock(hField);
       GlobalFree(hField);
  end;
  MatchTwainInt := Result;
end; { End MatchTwainInt.                                                      }


end. { End Unit twa_spcl.                                                      }
